/*
 *  Produced by f2java.  f2java is part of the Fortran-
 *  -to-Java project at the University of Tennessee Netlib
 *  numerical software repository.
 *
 *  Original authorship for the BLAS and LAPACK numerical
 *  routines may be found in the Fortran source, available at
 *  http://www.netlib.org.
 *
 *  Fortran input file: HF_f2j.f
 *
 */

import java.lang.*;
import org.netlib.util.*;



public class Bwzeta {

// *
// *     ----------------------------------------------------------------
// *               B W Z E T A
// *     ----------------------------------------------------------------
// *
// *
// *  ***** COMPUTES THE NUCLEAR SPIN-ORBIT PARAMETER AND THE
// *        CORRECTIONS FOR THE OTHER ELECTRONS
// *      USING THE FORMULA DERIVED BY Blume and Watson.
// *
// *
// *
// *
// *

public static double bwzeta (int i1)  {

int ip= 0;
double vk= 0.0d;
double sn= 0.0d;
double zeta= 0.0d;
double [] ss= new double[(3)];
double bwzeta= 0.0d;
int ke1= 0;
double c= 0.0d;
int i= 0;
int k= 0;
double quadr= 0.0d;
int la= 0;
int lb= 0;
zeta = ((HF_f2j_param.fine.val*HF_f2j_param.z.val)*Quadr.quadr(i1,i1,-3));
lb = HF_f2j_radial.l[(i1-(1))];
{
for (i = 1; i <= HF_f2j_param.nwf.val; i++) {
if ((i == i1)) {
    Dummy.go_to("Bwzeta",10);
}
    la = HF_f2j_radial.l[(i-(1))];
zeta = (zeta-(HF_f2j_wave.sum[(i-(1))]*Sn.sn(i1,i,i1,i,0)));
if ((HF_f2j_wave.sum[(i-(1))] != ((4*HF_f2j_radial.l[(i-(1))])+2))) {
    Dummy.go_to("Bwzeta",10);
}
    Bwint.bwint(la,lb);
ke1 = 2;
if ((la != lb)) {
    ke1 = Math.abs((la-lb));
}
    ip = 0;
{
int _k_inc = 2;
for (k = ke1; k <= (la+lb); k += _k_inc) {
ip = (ip+1);
zeta = (((zeta+(HF_f2j_blume.coefn2[(ip-(1))]*Sn.sn(i1,i,i,i1,(k-2))))+(HF_f2j_blume.coefnk[(ip-(1))]*Sn.sn(i,i1,i1,i,k)))+(HF_f2j_blume.coefvk[(ip-(1))]*((Vk.vk(i1,i,i,i1,(k-1))-Vk.vk(i,i1,i1,i,(k-1))))));
Dummy.label("Bwzeta",20);
}              //  Close for() loop. 
}
Dummy.label("Bwzeta",10);
}              //  Close for() loop. 
}
zeta = (HF_f2j_param.d2.val*zeta);
c = HF_f2j_wave.sum[(i1-(1))];
if ((c != HF_f2j_param.d1.val))  {
    ss[(1-(1))] = Sn.sn(i1,i1,i1,i1,0);
c = ((c+c)-HF_f2j_param.d3.val);
zeta = (zeta-(c*ss[(1-(1))]));
if ((lb == 2))  {
    ss[(2-(1))] = Sn.sn(i1,i1,i1,i1,2);
zeta = (zeta+((ss[(2-(1))]*6.e0)/7.e0));
}
else if ((lb == 3))  {
    ss[(2-(1))] = Sn.sn(i1,i1,i1,i1,2);
ss[(3-(1))] = Sn.sn(i1,i1,i1,i1,4);
zeta = ((zeta+ss[(2-(1))])+(ss[(3-(1))]/2.2e0));
}              // Close else if()
}
bwzeta = zeta;
Dummy.label("Bwzeta",999999);
return bwzeta;
   }
} // End class.
